Upstream information

CVE-2017-16832 at MITRE

Description

The pe_bfd_read_buildid function in peicode.h in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.29.1, does not validate size and offset values in the data dictionary, which allows remote attackers to cause a denial of service (segmentation violation and application crash) or possibly have unspecified other impact via a crafted PE file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 4
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:N/I:N/A:L
Attack Vector Local Network
Attack Complexity Low High
Privileges Required None None
User Interaction Required None
Scope Unchanged Changed
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3 3

Note from the SUSE Security Team on the binutils package

SUSE considers binutils a developer tool which does not receive untrusted input. Code processed by binutils is being executed in any normal scenario, so security exploits could just inject regular binary code. For this reason we update binutils only around once a year to the current stable version to catch up on features and bugfixes. If you are processing untrusted binary code with binutils we recommend doing so on a seperate system or VM.

SUSE Bugzilla entry: 1068643 [RESOLVED / WONTFIX]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/openldap:beta1
Image SLES12-SP4-Azure-BYOS
Image SLES12-SP4-EC2-HVM-BYOS
Image SLES12-SP4-GCE-BYOS
Image SLES12-SP4-OCI-BYOS
Image SLES12-SP4-SAP-Azure
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP4-SAP-EC2-HVM
Image SLES12-SP4-SAP-EC2-HVM-BYOS
Image SLES12-SP4-SAP-GCE
Image SLES12-SP4-SAP-GCE-BYOS
Image SLES12-SP4-SAP-OCI-BYOS
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-ECS-On-Demand
Image SLES12-SP5-EC2-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-OCI-BYOS-BYOS
Image SLES12-SP5-OCI-BYOS-SAP-BYOS
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • binutils >= 2.31-9.26.1
Image SLES15-Azure-BYOS
Image SLES15-EC2-HVM-BYOS
Image SLES15-GCE-BYOS
Image SLES15-OCI-BYOS
Image SLES15-SAP-Azure
Image SLES15-SAP-Azure-BYOS
Image SLES15-SAP-Azure-LI-BYOS-Production
Image SLES15-SAP-Azure-VLI-BYOS-Production
Image SLES15-SAP-EC2-HVM
Image SLES15-SAP-EC2-HVM-BYOS
Image SLES15-SAP-GCE
Image SLES15-SAP-GCE-BYOS
Image SLES15-SAP-OCI-BYOS
  • binutils >= 2.31-6.3.1
SUSE Enterprise Storage 4
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-Storage-4-2018-2297
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • binutils >= 2.31-5.31
  • binutils-devel >= 2.31-5.31
  • binutils-devel-32bit >= 2.31-5.31
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA binutils-2.31-5.31
SUSE Linux Enterprise Module for Development Tools 15 SP1 GA binutils-devel-32bit-2.31-5.31
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • binutils >= 2.35.1-7.18.1
  • binutils-devel >= 2.35.1-7.18.1
  • binutils-devel-32bit >= 2.35.1-7.18.1
  • libctf-nobfd0 >= 2.35.1-7.18.1
  • libctf0 >= 2.35.1-7.18.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA binutils-2.35.1-7.18.1
SUSE Linux Enterprise Module for Development Tools 15 SP3 GA binutils-devel-32bit-2.35.1-7.18.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • binutils >= 2.32-7.8.1
  • binutils-devel >= 2.32-7.8.1
  • binutils-devel-32bit >= 2.32-7.8.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA binutils-2.32-7.8.1
SUSE Linux Enterprise Module for Development Tools 15 SP2 GA binutils-devel-32bit-2.32-7.8.1
SUSE Linux Enterprise Desktop 12 SP3
  • binutils >= 2.31-9.26.1
  • binutils-devel >= 2.31-9.26.1
  • binutils-gold >= 2.31-9.26.1
  • cross-ppc-binutils >= 2.31-9.26.1
  • cross-spu-binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2297
SUSE-SLE-SDK-12-SP3-2018-2297
SUSE Linux Enterprise Desktop 12 SP4
  • binutils >= 2.31-9.26.1
  • binutils-devel >= 2.31-9.26.1
  • binutils-gold >= 2.31-9.26.1
  • cross-ppc-binutils >= 2.31-9.26.1
  • cross-spu-binutils >= 2.31-9.26.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA binutils-2.31-9.26.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA binutils-devel-2.31-9.26.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • binutils >= 2.37-150100.7.29.1
  • binutils-devel >= 2.37-150100.7.29.1
  • binutils-devel-32bit >= 2.37-150100.7.29.1
  • libctf-nobfd0 >= 2.37-150100.7.29.1
  • libctf0 >= 2.37-150100.7.29.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA binutils-2.37-150100.7.29.1
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA binutils-devel-32bit-2.37-150100.7.29.1
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • binutils >= 2.31-6.3.1
  • binutils-devel >= 2.31-6.3.1
  • binutils-devel-32bit >= 2.31-6.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-2265
SUSE-SLE-Module-Development-Tools-15-2018-2265
SUSE Linux Enterprise High Performance Computing 12 SP5
  • binutils >= 2.32-9.36.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA binutils-2.32-9.36.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • binutils >= 2.31-5.31
  • binutils-devel >= 2.31-5.31
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA binutils-2.31-5.31
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • binutils >= 2.32-7.8.1
  • binutils-devel >= 2.32-7.8.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA binutils-2.32-7.8.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • binutils >= 2.35.1-7.18.1
  • binutils-devel >= 2.35.1-7.18.1
  • libctf-nobfd0 >= 2.35.1-7.18.1
  • libctf0 >= 2.35.1-7.18.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA binutils-2.35.1-7.18.1
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • binutils >= 2.37-150100.7.29.1
  • binutils-devel >= 2.37-150100.7.29.1
  • libctf-nobfd0 >= 2.37-150100.7.29.1
  • libctf0 >= 2.37-150100.7.29.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA binutils-2.37-150100.7.29.1
SUSE Linux Enterprise Module for Basesystem 15
  • binutils >= 2.31-6.3.1
  • binutils-devel >= 2.31-6.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-2265
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • binutils-devel-32bit >= 2.31-5.31
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP1 GA binutils-devel-32bit-2.31-5.31
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • binutils-devel-32bit >= 2.32-7.8.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP2 GA binutils-devel-32bit-2.32-7.8.1
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • binutils-devel-32bit >= 2.35.1-7.18.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP3 GA binutils-devel-32bit-2.35.1-7.18.1
SUSE Linux Enterprise Module for Development Tools 15 SP4
  • binutils-devel-32bit >= 2.37-150100.7.29.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA binutils-devel-32bit-2.37-150100.7.29.1
SUSE Linux Enterprise Module for Development Tools 15
  • binutils-devel-32bit >= 2.31-6.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2018-2265
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-2297
SUSE Linux Enterprise Server 12 SP1-LTSS
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-2297
SUSE Linux Enterprise Server 12 SP2-BCL
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-2297
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-2297
SUSE Linux Enterprise Server 12 SP2-LTSS
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-2297
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • binutils >= 2.31-9.26.1
  • binutils-devel >= 2.31-9.26.1
  • binutils-gold >= 2.31-9.26.1
  • cross-ppc-binutils >= 2.31-9.26.1
  • cross-spu-binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2297
SUSE-SLE-SERVER-12-SP3-2018-2297
SUSE Linux Enterprise Server 12 SP4
  • binutils >= 2.31-9.26.1
  • binutils-devel >= 2.31-9.26.1
  • binutils-gold >= 2.31-9.26.1
  • cross-ppc-binutils >= 2.31-9.26.1
  • cross-spu-binutils >= 2.31-9.26.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA binutils-2.31-9.26.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA binutils-devel-2.31-9.26.1
SUSE Linux Enterprise Server 12 SP5
  • binutils >= 2.32-9.36.1
  • binutils-devel >= 2.32-9.36.1
  • binutils-gold >= 2.32-9.36.1
  • cross-ppc-binutils >= 2.32-9.36.1
  • cross-spu-binutils >= 2.32-9.36.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA binutils-2.32-9.36.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA binutils-devel-2.32-9.36.1
SUSE Linux Enterprise Server 12-LTSS
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-SERVER-12-2018-2297
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-2297
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-2297
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • binutils-devel >= 2.31-9.26.1
  • binutils-gold >= 2.31-9.26.1
  • cross-ppc-binutils >= 2.31-9.26.1
  • cross-spu-binutils >= 2.31-9.26.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA binutils-devel-2.31-9.26.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • binutils-devel >= 2.32-9.36.1
  • binutils-gold >= 2.32-9.36.1
  • cross-ppc-binutils >= 2.32-9.36.1
  • cross-spu-binutils >= 2.32-9.36.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA binutils-devel-2.32-9.36.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • binutils-devel >= 2.31-9.26.1
  • binutils-gold >= 2.31-9.26.1
  • cross-ppc-binutils >= 2.31-9.26.1
  • cross-spu-binutils >= 2.31-9.26.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2297
SUSE OpenStack Cloud 7
  • binutils >= 2.31-9.26.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-2297
openSUSE Leap 15.0
  • binutils >= 2.31-lp150.5.3.1
  • binutils-devel >= 2.31-lp150.5.3.1
  • binutils-devel-32bit >= 2.31-lp150.5.3.1
  • binutils-gold >= 2.31-lp150.5.3.1
  • cross-aarch64-binutils >= 2.31-lp150.5.3.1
  • cross-arm-binutils >= 2.31-lp150.5.3.1
  • cross-avr-binutils >= 2.31-lp150.5.3.1
  • cross-epiphany-binutils >= 2.31-lp150.5.3.1
  • cross-hppa-binutils >= 2.31-lp150.5.3.1
  • cross-hppa64-binutils >= 2.31-lp150.5.3.1
  • cross-i386-binutils >= 2.31-lp150.5.3.1
  • cross-ia64-binutils >= 2.31-lp150.5.3.1
  • cross-m68k-binutils >= 2.31-lp150.5.3.1
  • cross-mips-binutils >= 2.31-lp150.5.3.1
  • cross-ppc-binutils >= 2.31-lp150.5.3.1
  • cross-ppc64-binutils >= 2.31-lp150.5.3.1
  • cross-ppc64le-binutils >= 2.31-lp150.5.3.1
  • cross-riscv64-binutils >= 2.31-lp150.5.3.1
  • cross-rx-binutils >= 2.31-lp150.5.3.1
  • cross-s390-binutils >= 2.31-lp150.5.3.1
  • cross-s390x-binutils >= 2.31-lp150.5.3.1
  • cross-sparc-binutils >= 2.31-lp150.5.3.1
  • cross-sparc64-binutils >= 2.31-lp150.5.3.1
  • cross-spu-binutils >= 2.31-lp150.5.3.1
Patchnames:
openSUSE-2019-808
openSUSE Leap 15.2
  • binutils >= 2.32-lp152.3.9
Patchnames:
openSUSE Leap 15.2 GA binutils-2.32-lp152.3.1
openSUSE Leap 15.3
  • binutils >= 2.35.1-7.18.1
  • libctf-nobfd0 >= 2.35.1-7.18.1
  • libctf0 >= 2.35.1-7.18.1
Patchnames:
openSUSE Leap 15.3 GA binutils-2.35.1-7.18.1
openSUSE Leap 15.4
  • binutils >= 2.37-150100.7.29.1
  • libctf-nobfd0 >= 2.37-150100.7.29.1
  • libctf0 >= 2.37-150100.7.29.1
Patchnames:
openSUSE Leap 15.4 GA binutils-2.37-150100.7.29.1
openSUSE Tumbleweed
  • binutils >= 2.37-1.3
  • binutils-devel >= 2.37-1.3
  • binutils-devel-32bit >= 2.37-1.3
  • binutils-gold >= 2.37-1.3
  • libctf-nobfd0 >= 2.37-1.3
  • libctf0 >= 2.37-1.3
Patchnames:
openSUSE Tumbleweed GA binutils-2.37-1.3


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 binutils Affected
Magnum Orchestration binutils Released
SUSE CaaS Platform 4.0 binutils Already fixed
SUSE Enterprise Storage 4 binutils Released
SUSE Enterprise Storage 6 binutils Already fixed
SUSE Enterprise Storage 7 binutils Already fixed
SUSE Enterprise Storage 7.1 binutils Already fixed
SUSE Linux Enterprise Desktop 11 SP4 binutils Ignore
SUSE Linux Enterprise Desktop 12 binutils Affected
SUSE Linux Enterprise Desktop 12 SP1 binutils Affected
SUSE Linux Enterprise Desktop 12 SP2 binutils Affected
SUSE Linux Enterprise Desktop 12 SP3 binutils Released
SUSE Linux Enterprise Desktop 12 SP3 cross-ppc-binutils Released
SUSE Linux Enterprise Desktop 12 SP3 cross-spu-binutils Released
SUSE Linux Enterprise Desktop 12 SP4 binutils Affected
SUSE Linux Enterprise Desktop 15 binutils Released
SUSE Linux Enterprise Desktop 15 SP1 binutils Already fixed
SUSE Linux Enterprise Desktop 15 SP2 binutils Already fixed
SUSE Linux Enterprise Desktop 15 SP3 binutils Already fixed
SUSE Linux Enterprise Desktop 15 SP4 binutils Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 binutils Affected
SUSE Linux Enterprise High Performance Computing 15 binutils Released
SUSE Linux Enterprise High Performance Computing 15 SP1 binutils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS binutils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS binutils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 binutils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS binutils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS binutils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 binutils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4 binutils Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS binutils Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS binutils Released
SUSE Linux Enterprise Module for Basesystem 15 binutils Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 binutils Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 binutils Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 binutils Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP4 binutils Already fixed
SUSE Linux Enterprise Module for Development Tools 15 binutils Released
SUSE Linux Enterprise Module for Development Tools 15 SP1 binutils Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP2 binutils Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP3 binutils Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP4 binutils Already fixed
SUSE Linux Enterprise Module for Package Hub 15 binutils Affected
SUSE Linux Enterprise Module for Package Hub 15 SP1 binutils Already fixed
SUSE Linux Enterprise Module for Package Hub 15 SP2 binutils Already fixed
SUSE Linux Enterprise Module for Package Hub 15 SP3 binutils Already fixed
SUSE Linux Enterprise Module for Package Hub 15 SP4 binutils Already fixed
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT binutils Released
SUSE Linux Enterprise Real Time 15 SP2 binutils Already fixed
SUSE Linux Enterprise Real Time 15 SP3 binutils Already fixed
SUSE Linux Enterprise Server 11 SP4 binutils Ignore
SUSE Linux Enterprise Server 11 SP4-LTSS binutils Ignore
SUSE Linux Enterprise Server 12 binutils Affected
SUSE Linux Enterprise Server 12 SP1 binutils Affected
SUSE Linux Enterprise Server 12 SP1-LTSS binutils Released
SUSE Linux Enterprise Server 12 SP2 binutils Ignore
SUSE Linux Enterprise Server 12 SP2-BCL binutils Released
SUSE Linux Enterprise Server 12 SP2-ESPOS binutils Released
SUSE Linux Enterprise Server 12 SP2-LTSS binutils Released
SUSE Linux Enterprise Server 12 SP3 binutils Released
SUSE Linux Enterprise Server 12 SP3 cross-ppc-binutils Released
SUSE Linux Enterprise Server 12 SP3 cross-spu-binutils Released
SUSE Linux Enterprise Server 12 SP3-BCL binutils Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS binutils Affected
SUSE Linux Enterprise Server 12 SP3-LTSS binutils Affected
SUSE Linux Enterprise Server 12 SP4 binutils Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS binutils Affected
SUSE Linux Enterprise Server 12 SP4-LTSS binutils Affected
SUSE Linux Enterprise Server 12 SP5 binutils Affected
SUSE Linux Enterprise Server 12-LTSS binutils Released
SUSE Linux Enterprise Server 15 binutils Released
SUSE Linux Enterprise Server 15 SP1 binutils Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL binutils Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS binutils Already fixed
SUSE Linux Enterprise Server 15 SP2 binutils Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL binutils Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS binutils Already fixed
SUSE Linux Enterprise Server 15 SP3 binutils Already fixed
SUSE Linux Enterprise Server 15 SP4 binutils Already fixed
SUSE Linux Enterprise Server 15-ESPOS binutils Released
SUSE Linux Enterprise Server 15-LTSS binutils Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 binutils Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 binutils Ignore
SUSE Linux Enterprise Server for SAP Applications 12 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 cross-ppc-binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 cross-spu-binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 15 binutils Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 binutils Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 binutils Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 binutils Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 binutils Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 binutils Ignore
SUSE Linux Enterprise Software Development Kit 12 binutils Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 binutils Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 binutils Ignore
SUSE Linux Enterprise Software Development Kit 12 SP3 binutils Released
SUSE Linux Enterprise Software Development Kit 12 SP3 cross-ppc-binutils Released
SUSE Linux Enterprise Software Development Kit 12 SP3 cross-spu-binutils Released
SUSE Linux Enterprise Software Development Kit 12 SP4 binutils Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 binutils Affected
SUSE Manager Proxy 4.0 binutils Already fixed
SUSE Manager Proxy 4.1 binutils Already fixed
SUSE Manager Proxy 4.2 binutils Already fixed
SUSE Manager Proxy 4.3 binutils Already fixed
SUSE Manager Retail Branch Server 4.0 binutils Already fixed
SUSE Manager Retail Branch Server 4.1 binutils Already fixed
SUSE Manager Retail Branch Server 4.2 binutils Already fixed
SUSE Manager Retail Branch Server 4.3 binutils Already fixed
SUSE Manager Server 4.0 binutils Already fixed
SUSE Manager Server 4.1 binutils Already fixed
SUSE Manager Server 4.2 binutils Already fixed
SUSE Manager Server 4.3 binutils Already fixed
SUSE OpenStack Cloud 7 binutils Released
SUSE OpenStack Cloud 8 binutils Affected
SUSE OpenStack Cloud 9 binutils Affected
SUSE OpenStack Cloud Crowbar 8 binutils Affected
SUSE OpenStack Cloud Crowbar 9 binutils Affected
bci/golang
bci/golang:1.16
bci/golang:1.17
bci/golang:1.18
bci/ruby
bci/rust
bci/rust:1.59
bci/rust:1.60
bci/rust:1.61
bci/rust:1.62
bci/rust:1.63
bci/rust:1.64
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7.1/cephcsi/cephcsi
ses/7.1/rook/ceph
ses/7/ceph/ceph
ses/7/cephcsi/cephcsi
ses/7/rook/ceph
trento/trento-runner
binutilsAlready fixed


SUSE Timeline for this CVE

CVE page created: Wed Nov 15 11:28:57 2017
CVE page last modified: Wed Dec 7 16:26:39 2022